웹에서 입력창에 마법을 부릴 때 접근성이 훼손되면 싫다.

나는 마우스를 쓰는 걸 엄청 싫어해서 브라우저에도 pentadactyl1이라는 플러그인을 설치해서 쓴다. 이 플러그인은 웹 접근성이 떨어질 수록 이상하게 작동하는 문제가 있다. 예를 들어 코드 편집을 할 때 자동으로 인덴트를 해주는 경우 엔터가 두 번 입력된다든가.

하지만 오늘 WordPress의 CSS를 수정하다가 굉장히 짜증나는 걸 발견했다. 코드 하이라이팅을 해주기 위해 textarea에 입력하는 값들을 모두 후킹해서 화면 위에 덮어씌워진 pre태그 안에 쑤셔넣는다. 그래서 textarea는 비어있게 된다.

Pentadactyl은 vim 사용자를 위해 텍스트 입력중에 C-t를 누르면 그 입력창을 vim처럼 쓸 수 있게 해준다. hjkl로 이동도 되고 비주얼 블럭도 잡힌다. 그런데 CSS 편집중에 이 기능을 사용하지 아무런 입력도 되지 않고 이동도 되지 않아 개발자 도구를 꺼내서 이런 마법을 부려놓은 걸 알아냈다.
C-i를 누르면 입력창의 내용을 임시파일로 복사한 후 외부 편집기로 열어주는데 역시나 빈 내용 뿐이었다.
워드프레스는 웹 접근성을 엄청나게 따지고 접근성을 훼손하는 경우에는 접근성모드라는 것을 제공한다. 하지만 플러그인 제작자는 그럴 의무가 없다. 그래서 나는 불편을 겪고 아마 시각장애인들도 불편을 겪을 것이다.

요즘 웹을 한다는 어린 개발자들을 보면 접근성에 대해 말할 때 “그냥 잘 보이기만 하면 되지 그런 걸 왜 고려해요?”라고 말하는 사람들이 있다. 심지어 학교에서 HTML을 가르칠 때도 h1~6 태그의 의미를 가르치지 않고 그냥 글자 크기를 키워주는 태그라고 가르친다. 저렇게 가르칠 거면 차라리 가르치지 말았으면 하는 생각이다.


  1. http://5digits.org/pentadactyl/에서 제공하는 플러그인인데 Vim 사용자라면 꽤나 익숙하게 mouseless 브라우징을 할 수 있다.
    vimparator라는 플러그인이 더 유명하지만 이건 기능이 다양하지 않아서 Geek들은 pentadactyl을 더 좋아한다. 

WordPress 로그인에 SSL 적용

WordPress는 SSL 관련 설정이 관리자 화면에 전혀 없다. 심지어 로그인을 할 때도 https가 아닌 http를 사용하게 되는데 그냥 https를 붙여서 접속하라고만 한다. 이건 좀 아니라고 생각해서 플러그인을 깔아야 하나 고민중에 설정파일을 바꾸면 로그인을 할 때는 https를 사용한다고 하여 wp-config.php에 아래와 같은 설정을 추가했다.

이렇게 하면 관리자 페이지와 로그인 페이지는 SSL이 적용된 페이지가 열리게 된다.